catalog:
  title: gazebo ros

templates:
- catkin
- base

variables:
  description: Wrappers, tools and additional API's for using ROS with Gazebo.
  keywords:
  - gazebo
  - ros
  - simulation

  repository: https://github.com/ros-simulation/gazebo_ros_pkgs.git
  branches:
  - kinetic-devel
  - lunar-devel

versions:
- name: pal-fork-kinetic
  variables:
    branch: kinetic-devel
    repository: https://github.com/pal-robotics-forks/gazebo_ros_pkgs.git

- name: pal-fork-melodic
  variables:
    branch: melodic-devel
    repository: https://github.com/pal-robotics-forks/gazebo_ros_pkgs.git

- name: pal-fork-noetic
  variables:
    branch: noetic-devel
    repository: https://github.com/pal-robotics-forks/gazebo_ros_pkgs.git

- name: pal-fork-one
  variables:
    branch: noetic-devel
    repository: https://github.com/pal-robotics-forks/gazebo_ros_pkgs.git
    pre-build-hook/unix.command: |
      find . -type f -name 'CMakeLists.txt' -exec sed -i 's/add_compile_options(-std=c++11)//g' {} \;
      find . -type f -name 'CMakeLists.txt' -exec sed -i 's/set(CMAKE_CXX_FLAGS "\${CMAKE_CXX_FLAGS} -std=c++0x")//g' {} \;
      find . -type f -name 'CMakeLists.txt' -exec sed -i 's/set(CMAKE_CXX_FLAGS "\${CMAKE_CXX_FLAGS} -std=c++14")//g' {} \;




